Page MenuHomePhabricator

Enable Collection by default on most sites
Closed, ResolvedPublic

Description

It seems somewhat silly that Collection is default off, and then is opt in. zh is known to be buggy with the PediaPress backend (at least), so there should be some sites not included...

Is there any "good" reason we shouldn't enable it by default?

'wmgUseCollection' => array(
PDF generation / PediaPress stuff
'default' => false,
'testwiki' => true,
'test2wiki' => true,
'alswiki' => true, # Bug 18517
'arwiki' => true, # bug 33828
'bawiki' => true,
Bug 40879
'bpywiki' => true, # Bug 18517
'cawiki' => true, # Bug 21174
'chapcomwiki' => true, # Bug 52833
'cswiki' => true, # Bug 20436
'cswikiversity' => true, # Bug 21077
'bnwiki' => true, # https://bugzilla.wikimedia.org/show_bug.cgi?id=20338
'dawiki' => true, # 22444
'dewiki' => true, # live test on german - 2009-01-26
'dewikiversity' => true, # Bug 37898
'dsbwiki' => true,
'elwiki' => true, # bug 22924
'enwiki' => true, # 2009-02-26 bv whee :D
'enwikiversity' => true,
'eowiki' => true, # 23434
'eswiki' => true, # 2009-02-18
'etwiki' => true,
'euwiki' => true, # bug 28292
'fawiki' => true, # bug 26319
'fiwiki' => true,
'frrwiki' => true, # Bug 38023
'frwiki' => true, # 2009-02-18
'frwikiversity' => true, # Bug 16178
'foundationwiki' => true,
'gdwiki' => true,
'glwiki' => true,
'hewiki' => true,
'hewiktionary' => true,
'hewikivoyage' => true,
'hiwiki' => true,
'hrwiki' => true, # Bug 19013
'hsbwiki' => true,
'huwiki' => true, # Bug 21005
'idwiki' => true, # 18430
'iswiki' => true, Bug 43760
'itwiki' => true,
'kawiki' => true,
'kkwiki' => true,
'kmwiki' => true,
bug 30680
'kowiki' => true,
'lbwiki' => true, bug 47469
'mediawikiwiki' => true, # Bug 29228
'metawiki' => true,
Bug 18058 on 2009-03-19
'mkwiki' => true, # bug 37345
'mswiki' => true, # Bug 20402
'nlwiki' => true, # 2009-02-18
'nnwiki' => true, # 2009-05-05
'nowiki' => true, # 2009-05-05
'outreachwiki' => true, # 28495
'plwiki' => true, # 2009-02-18
'ptwiki' => true, # 2009-02-18
'ptwikiversity' => true, # 18367
'rmwiki' => true,
'rowiki' => true, # 28347
'ruwiki' => true, # 22330
'ruwikiversity' => true,
'sewikimedia' => true, # Bug 38988
'simplewiki' => true, # 2009-02-18
'shwiki' => true, # Bug 47166
'skwiki' => true, # bug 22038
'slwiki' => true,
'sourceswiki' => true,
'sqwiki' => true, # bug 26074
'srwiki' => true, # Per Brion on 2009-04-03
'strategywiki' => true, # 2009-11-07, Bug 21361
'svwiki' => true, # 2009-03-24 Bug 18023
'svwikiversity' => true, // bug 64994
'tawiki' => true,
'tewiki' => true,
'thwiki' => true,
'trwiki' => true, # Bug 22791
'ukwiki' => true, # 23437
'urwiki' => true, # Bug 41563
'viwiki' => true, # 2009-12-28 bug 21566
'wikibooks' => true, # on for all wikibooks! 2008-10-23
'wikisource' => true, # 2009-02-24
'wikimania' => true,
'wikinews' => true,
'wikivoyage' => true,
),


Version: unspecified
Severity: enhancement

Details

Reference
bz71416

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz71416.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Sep 29 2014, 4:05 PM

(In reply to Sam Reed (reedy) from comment #0)

It seems somewhat silly that Collection is default off, and then is opt in.
zh is known to be buggy with the PediaPress backend (at least), so there
should be some sites not included...

Is there any "good" reason we shouldn't enable it by default?

No. The current situation is just a relic of the past. Almost 6 years later, it should be enabled everywhere and bugs dealt with.

I'm not sure it makes sense to disable in some languages just because there are bugs in PDF, or instance fawiki has it enabled though it's completely broken; but if we go that way, then there is bug 28206.

Reedy added a comment.Oct 8 2014, 2:59 PM

It would seem this is pretty much doable:

[15:53:14] <Reedy> cscott: Any reason (on your part at least), why we can't/shouldn't enable collection (almost) everywhere?
[15:53:54] <cscott> Reedy: where is it not enabled?
[15:54:30] <cscott> Reedy: it relies on parsoid, so results on zhwiki or other languageconverter wikis will be disappointing right now.
[15:54:30] <Reedy> cscott: On a lot of wikis. It's enabled on tens at most
[15:54:49] <Reedy> cscott: Ok, so we can presumably enable by default, and then just disable where necessary
[15:54:59] <Reedy> Rather than the current disabled by default
[15:55:07] <cscott> language converter is the only issue. and it won't cause a crash, just unreadable (unconverted) output.
[15:55:43] <Reedy> cscott: Having bugs filed as a TODO list isn't the worst idea.. If it's majorly broken, we can disable it. I just can't imagine for the majority of wikis it won't work
[15:55:51] <Reedy> Nemo_bis: ^^
[15:56:15] <cscott> Reedy: oh, the other issue is that it relies on the parsoid configuration for Extension:Parsoid -- is that enabled everywhere. (Note that this isn't parsoid, it's the cache-invalidation extension for parsoid)
[15:56:24] <Reedy> So that just mans 'gan','iu','kk','ku','shi','sr','tg','uz','zh',
[15:56:57] <Reedy> https://bugzilla.wikimedia.org/show_bug.cgi?id=71416
[15:57:02] <cscott> Reedy: https://www.mediawiki.org/wiki/Writing_systems has the complete list i think
[15:57:28] <Reedy> This is where it'd be useful if InitialiseSettings could work on langcodes :)
[15:58:00] <cscott> fwiw, getting language converter to play nicely with parsoid is on my to-do list for this quarter
[15:58:26] <Reedy> You'll make a lot of people very happy :)

cscott added a comment.Oct 8 2014, 3:01 PM

FWIW, fawiki works great with the new OCG PDF backend.

Change 165490 had a related patch set uploaded by Reedy:
Enable Collection by default on all wikis

https://gerrit.wikimedia.org/r/165490

Reedy added a comment.Oct 8 2014, 3:07 PM

reedy@tin:/srv/mediawiki-staging$ grep -e '^\(gan\|iu\|kk\|ku\|shi\|sr\|tg\|uz\|zh\)' all.dblist
ganwiki
iuwiki
iuwiktionary
kkwiki
kkwikibooks
kkwikiquote
kkwiktionary
kuwiki
kuwikibooks
kuwikiquote
kuwiktionary
srnwiki
srwiki
srwikibooks
srwikinews
srwikiquote
srwikisource
srwiktionary
tgwiki
tgwikibooks
tgwiktionary
uzwiki
uzwikibooks
uzwikiquote
uzwiktionary
zh_classicalwiki
zh_min_nanwiki
zh_min_nanwikibooks
zh_min_nanwikiquote
zh_min_nanwikisource
zh_min_nanwiktionary
zh_yuewiki
zhwiki
zhwikibooks
zhwikinews
zhwikiquote
zhwikisource
zhwikivoyage
zhwiktionary
reedy@tin:/srv/mediawiki-staging$

What's the status of this? Can this be done in the near future or should we continue to enable it on specific wikis whenever it is requested?

Can this be done in the near future

Yes.

Change 165490 had a related patch set uploaded (by Nemo bis):
Enable Collection by default on all wikis

https://gerrit.wikimedia.org/r/165490

Change 165490 merged by jenkins-bot:
Enable Collection by default on all wikis

https://gerrit.wikimedia.org/r/165490

demon closed this task as Resolved.Mar 2 2015, 7:19 PM
demon claimed this task.
Glaisher set Security to None.
Restricted Application added subscribers: Base, revi. · View Herald Transcript
Restricted Application added a subscriber: jeblad. · View Herald TranscriptSep 26 2017, 11:48 PM